%global tog_pegasus_version 2:2.5.1
%global provider_dir %{_libdir}/cmpi/

Name:           sblim-cmpi-dns
Version:        1.0
Release:        8%{?dist}
Summary:        SBLIM WBEM-SMT Dns

Group:          Applications/System
License:        EPL
URL:            http://sblim.wiki.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
Patch0:         sblim-cmpi-dns-0.5.2-include.patch

#BuildRequires:  sed
BuildRequires:  flex bison
BuildRequires:  sblim-tools-libra-devel
#BuildRequires:  tog-pegasus-devel >= %{tog_pegasus_version}
BuildRequires:  sblim-sfcb libcmpiCppImpl0
BuildRequires:  sblim-cmpi-devel
Requires:       sblim-tools-libra
Requires:       bind
Requires:       /etc/ld.so.conf.d
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Provides:       cmpi-dns = %{version}
#Requires:       tog-pegasus >= %{tog_pegasus_version}
Requires:       sblim-sfcb

%description
The cmpi-dns package provides access to the dns configuration data
via CIMOM technology/infrastructure.
It contains the Dns CIM Model, CMPI Provider with the Samba task specific
Resource Access.

%package devel
Summary:        SBLIM WBEM-SMT Dns - Header Development Files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
SBLIM WBEM-SMT Dns Development Package contains header files and
link libraries for dependent provider packages

%package test
Summary:        SBLIM WBEM-SMT Dns - Testcase Files
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}
Requires:       sblim-testsuite

%description test
SBLIM WBEM-SMT DNS Provider Testcase Files for the SBLIM Testsuite

%prep
%setup -q
%patch0 -p1 -b .include

%build
%ifarch s390 s390x ppc ppc64
export CFLAGS="$RPM_OPT_FLAGS -fsigned-char"
%else
export CFLAGS="$RPM_OPT_FLAGS" 
%endif
%configure \
   TESTSUITEDIR=%{_datadir}/sblim-testsuite \
   CIMSERVER=sfcb \
   PROVIDERDIR=%{provider_dir}
# try to remove RPATH from libtool generated libraries
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{_libdir}/cmpi/*a
# shared libraries
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/cmpi" > $RPM_BUILD_ROOT/%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
sed -i -e '1d;2i#!/usr/bin/awk -f' $RPM_BUILD_ROOT/%{_datadir}/%{name}/smt_dns_ra_lines.awk

%files
%{_datadir}/doc/%{name}-%{version}
%doc %{_mandir}/man5/smt_dns_ra_support.conf.5.gz
%{_datadir}/%{name}
%{_libdir}/libRaToolsDns.so.*
%{_libdir}/libIBM_DnsProviderTooling.so.*
%{_libdir}/libLinux_DnsGeneralProviderBasic.so.*
%config(noreplace) %{_sysconfdir}/smt_dns*.conf
%{_libdir}/cmpi/libcmpiLinux_Dns*.so
%{_libdir}/cmpi/libcmpiDnsCIM_ConcreteJob.so
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf

%files devel
%{_includedir}/sblim/smt_dns*.h
%{_libdir}/libRaToolsDns.so
%{_libdir}/libIBM_DnsProviderTooling.so
%{_libdir}/libLinux_DnsGeneralProviderBasic.so

%files test
%{_datadir}/sblim-testsuite/elephant.example2.com.conf
%{_datadir}/sblim-testsuite/buffalo.example2.com.conf
%{_datadir}/sblim-testsuite/named.conf
%{_datadir}/sblim-testsuite/testlocaldomain.zone
%{_datadir}/sblim-testsuite/testnamed.local
%{_datadir}/sblim-testsuite/testnamed.ca
%{_datadir}/sblim-testsuite/testlocalhost.zone
%{_datadir}/sblim-testsuite/testnamed.ip6.local
%{_datadir}/sblim-testsuite/testnamed.zero
%{_datadir}/sblim-testsuite/test-cmpi-dns.sh
%{_datadir}/sblim-testsuite/testnamed.broadcast
%{_datadir}/sblim-testsuite/cobra.example1.com.conf
%{_datadir}/sblim-testsuite/rhino.example1.com.conf
%{_datadir}/sblim-testsuite/system/linux/Linux_Dns*
%{_datadir}/sblim-testsuite/cim/Linux_Dns*

# Conditional definition of schema and registration files
%global DNS_SCHEMA %{_datadir}/%{name}/Linux_Dns_Profile.mof %{_datadir}/%{name}/Linux_Dns.mof
%global DNS_REGISTRATION %{_datadir}/%{name}/Linux_Dns_Profile.registration %{_datadir}/%{name}/Linux_Dns.registration

%pre
# If upgrading, deregister old version
if [ $1 -gt 1 ]; then
  %{_datadir}/%{name}/provider-register.sh -d \
  -t sfcb -r %{DNS_REGISTRATION} -m %{DNS_SCHEMA} > /dev/null 2>&1 || :;
fi

%post
/sbin/ldconfig
if [ $1 -ge 1 ]; then
  # Register Schema and Provider - this is higly provider specific
  %{_datadir}/%{name}/provider-register.sh \
  -t sfcb -r %{DNS_REGISTRATION} -m %{DNS_SCHEMA} > /dev/null 2>&1 || :;
fi;

%preun
# Deregister only if not upgrading 
if [ $1 -eq 0 ]; then
  %{_datadir}/%{name}/provider-register.sh -d \
  -t sfcb -r %{DNS_REGISTRATION} -m %{DNS_SCHEMA} > /dev/null 2>&1 || :;
fi

%postun
# Run ldconfig only if not upgrading
if [ $1 -eq 0 ]; then
  /sbin/ldconfig
fi

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Sep 04 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.0-7
- Fix issues found by fedora-review utility in the spec file

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 22 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.0-3
- Fix registration
- Use sblim-sfcb

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec  8 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.0-1
- Update to sblim-cmpi-dns-1.0

* Thu Oct 22 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 0.5.2-2
- Fix "include" patch

* Thu Oct 15 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 0.5.2-1
- Initial support
